﻿using System;
using System.Linq.Expressions;
using System.Collections.Generic;
using DapperORM;
using DapperORM.Common.Models;
using PushInfo.Core.Models.Tables;
using PushInfo.Core.IDAL;

namespace PushInfo.Core.DAL.MySql
{
    public class SysPushDAL : BaseRepository<Map_Project_Push>, ISysPushDAL
    {
        public ResultModel<IEnumerable<Sys_Push>> GetList(Expression<Func<Sys_Push, bool>> where = null, Expression<Func<Sys_Push, object>> select = null, IDictionary<string, bool> sort = null)
        {
            return FetchAsync(where, select, sort).Result;
        }
    }
}
